function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from 'react';
import { withRouter } from 'react-router-dom';
import AppNavMenu from './AppNavMenu';
import AppNavToggle from './AppNavToggle';
import UserNavMenu from './UserNavMenu';
import UserNavToggle from './UserNavToggle';
import Search from './Search';
import Brand from './Brand';

var RDNavbarProvider = function (_React$Component) {
  _inherits(RDNavbarProvider, _React$Component);

  function RDNavbarProvider(props) {
    _classCallCheck(this, RDNavbarProvider);

    var _this = _possibleConstructorReturn(this, _React$Component.call(this, props));

    _this.render = function () {

      return React.createElement(
        'div',
        { className: 'rd-navbar-wrap' },
        React.createElement(
          'nav',
          { className: 'rd-navbar', 'data-rd-navbar-lg': 'rd-navbar-static' },
          React.createElement(
            'div',
            { className: 'rd-navbar-inner' },
            React.createElement(
              'div',
              { className: 'rd-navbar-panel' },
              React.createElement('div', { className: 'rd-navbar-panel-canvas' }),
              _this.props.children,
              React.createElement(Brand, { moveTo: _this.redirect }),
              React.createElement(AppNavToggle, null),
              React.createElement(UserNavToggle, null),
              React.createElement(UserNavMenu, { moveTo: _this.redirect })
            )
          ),
          React.createElement(
            'div',
            { className: 'rd-navbar-outer' },
            React.createElement(
              'div',
              { className: 'rd-navbar-inner' },
              React.createElement(
                'div',
                { className: 'rd-navbar-subpanel' },
                React.createElement(AppNavMenu, { moveTo: _this.redirect }),
                React.createElement(Search, { moveTo: _this.redirect })
              )
            )
          )
        )
      );
    };

    _this.redirect = function (path) {
      return _this.props.history.push(path);
    };

    _this.redirect = _this.redirect.bind(_this);
    return _this;
  }

  return RDNavbarProvider;
}(React.Component);

export default withRouter(RDNavbarProvider);